import { jsx as e } from "../../../external/.pnpm/preact@10.28.2/node_modules/preact/jsx-runtime/dist/jsxRuntime.module.js";
import { createContext as n } from "../../../external/.pnpm/preact@10.28.2/node_modules/preact/dist/preact.module.js";
import { useContext as i } from "../../../external/.pnpm/preact@10.28.2/node_modules/preact/hooks/dist/hooks.module.js";
const o = n(null);
function s() {
  const r = i(o);
  if (!r)
    throw new Error("useWizardFormContext must be used within a WizardFormProvider");
  return r;
}
function d({ children: r, ...t }) {
  return /* @__PURE__ */ e(o.Provider, { value: t, children: r });
}
export {
  o as WizardFormContext,
  d as WizardFormProvider,
  s as useWizardFormContext
};
